Bug 124790 - X crashes. Screen goes black at random when active or idle.
X crashes. Screen goes black at random when active or idle.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
2
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-30 00:17 EDT by Andrew Ragone
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-06 16:46:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Ragone 2004-05-30 00:17:31 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.6)
Gecko/20040206 Firefox/0.8

Description of problem:
I have an error where the screen blacks out [seems to turn off all
output to the monitor] after a certain period of time whether I am
activly using my system or it is idle. I need to either restart the
computer to regain functionality or SOMETIMES i can Ctrl-Alt-F7 or F8
and it will switch back into the X session I had been running.
Otherwise Ctrl-Alt-F1 doesnt even bring up the shell,
Ctrl-Alt-Backspace doesnt restart X, and the keyboard seems to not
function [i know this because no keyboard lights go on for Num/Caps
lock]. It occurs after my installation of FC2 x86_64 today and I
origianlly thought it may be the wrong monitor that I specificed, but
I returned to generic and it still occurs. I am running a PCI ATI
All-In-Wonder Radeon [i believe 7000 series] on a FC2 AMD Athlon64
system with x86_64.

Version-Release number of selected component (if applicable):
default FC2 x86_64 release

How reproducible:
Always

Steps to Reproduce:
1. Install FC2 on x86_64
2. Boot up X and logon
3. Use the computer for 10-20 minutes or let it be idle and will find
the screen go blank
    

Actual Results:  Screen goes blank. Usually keyboard is unrepsonsive
to X restart commands or Shell keycodes.

Expected Results:  X continue to function normally. No reason for the
screen to go blank. The drivers and config SEEM to be correct as it
takes time for this issue to occue.

Additional info:

Have tried to reconfigure the monitor display. Didnt work.
Comment 1 Mike A. Harris 2005-02-07 22:28:01 EST
*** This is an automated comment update ***

The X11 implementation included with Fedora Core 2 and 3, is "X.Org X11"
provided by the X.Org project located at "http://www.x.org".  XFree86 is no
longer included in Fedora Core.  To ensure faster review and investigation
of X related Fedora Core bug reports, please be sure to file the bug against
the correct component of "xorg-x11" in the future.  Thanks in advance.

Reassigning several bugs from XFree86 component to proper xorg-x11
component ...
Comment 2 Mike A. Harris 2005-03-06 16:46:35 EST
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

        http://fedora.redhat.com/download

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Setting status to "CURRENTRELEASE".

Note You need to log in before you can comment on or make changes to this bug.